For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for Itential Platform On-Prem, version 6 (default).
For other versions, use one of these documentation indexes:
- 6 (default): https://docs.itential.com/itential-platform/6/llms.txt
- 2023.2: https://docs.itential.com/itential-platform/2023-2/llms.txt
Basic authentication of the form Basic <base64(username:password)>.
Query parameters
limitintegerOptional>=0Defaults to 25
Number of results to return. Used for pagination.
skipintegerOptional>=0Defaults to 0
Number of results to skip. Used for pagination.
orderenumOptionalDefaults to 1
Sort direction, 1 for ascending and -1 for descending.
Allowed values:
sortenumOptionalDefaults to name
Field to sort by
Allowed values:
includestringOptional
Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.
excludestringOptional
Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.
instringOptional
Search for fields exactly matching one of the given list options
not-instringOptional
Search for fields not exactly matching one of the given list options
equalsstringOptional
Returns results where the specified fields exactly match the given match string(s).
containsstringOptional
Returns results where the specified fields contain the given match string(s).
starts-withstringOptional
Returns results where the specified fields start with the given match string(s).
ends-withstringOptional
Returns results where the specified fields end in the given match string(s).
dereferencestringOptional
Designates foreign key fields to dereference in the API output.
gtstringOptional
Returns results where the specified fields have values greater than the specified values.
gtestringOptional
Returns results where the specified fields have values greater than or equal to the specified values.
ltstringOptional
Returns results where the specified fields have values less than the specified values.
ltestringOptional
Returns results where the specified fields have values less than or equal to the specified values.
qstringOptional
Accepts a full query expression as a URL-encoded JSON object. Supports all other query operators, in addition to logical conjunction with 'and', disjunction with 'or', and negation with 'not'. May be combined with other top-level operators.
actionableTasksbooleanOptionalDefaults to false
If true, only returns actionable tasks that the current user has write access to.
Response
The Tasks that matched the search query.
messagestring
A human-readable message summarizing the result of the operation
datalist of objects
Any successfully retrieved information related to the request.
metadataobject
Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.